Bug 1181043 - [abrt] system-config-printer-libs: jobviewer.py:2383:_find_job_state_text:KeyError: 7
Summary: [abrt] system-config-printer-libs: jobviewer.py:2383:_find_job_state_text:Key...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cups
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:46d25b5fdf37823885d2f7fbba6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-12 09:39 UTC by gwir
Modified: 2015-01-27 02:56 UTC (History)
3 users (show)

Fixed In Version: python-cups-1.9.70-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 02:56:57 UTC


Attachments (Terms of Use)
File: backtrace (1.11 KB, text/plain)
2015-01-12 09:39 UTC, gwir
no flags Details
File: environ (629 bytes, text/plain)
2015-01-12 09:39 UTC, gwir
no flags Details

Description gwir 2015-01-12 09:39:04 UTC
Version-Release number of selected component:
system-config-printer-libs-1.5.4-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python3 /usr/share/system-config-printer/scp-dbus-service.py
executable:     /usr/share/system-config-printer/scp-dbus-service.py
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
jobviewer.py:2383:_find_job_state_text:KeyError: 7

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2436, in _set_job_status_text
    text = data['_status_text']
KeyError: '_status_text'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2438, in _set_job_status_text
    text = self._find_job_state_text (jobid)
  File "/usr/share/system-config-printer/jobviewer.py", line 2383, in _find_job_state_text
    cups.IPP_JOB_COMPLETED: _("Completed") }[s]
KeyError: 7

Local variables in innermost frame:
self: <JobViewer object at 0x7fce9ee59cf0 (jobviewer+JobViewer at 0x2633260)>
data: {'attributes-charset': 'utf-8', 'attributes-natural-language': 'fr-fr', 'time-at-creation': 1420555710, 'job-k-octets': 1, 'job-printer-name': 'HP-Color-LaserJet-CP4005', 'job-printer-uri': 'ipp://localhost:631/printers/HP-Color-LaserJet-CP4005', 'job-name': 'Test Page', 'job-state': 7, 'job-originating-user-name': 'gilles'}
jstate: 7
job_requires_auth: False
state: None
s: 7
job: 2

Comment 1 gwir 2015-01-12 09:39:07 UTC
Created attachment 979034 [details]
File: backtrace

Comment 2 gwir 2015-01-12 09:39:08 UTC
Created attachment 979035 [details]
File: environ

Comment 3 Fedora Update System 2015-01-12 12:27:18 UTC
python-cups-1.9.70-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-cups-1.9.70-2.fc21

Comment 4 Fedora Update System 2015-01-12 23:59:09 UTC
Package python-cups-1.9.70-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-cups-1.9.70-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0566/python-cups-1.9.70-2.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-17 05:41:18 UTC
Package python-cups-1.9.70-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-cups-1.9.70-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0566/python-cups-1.9.70-3.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-27 02:56:57 UTC
python-cups-1.9.70-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.